Introduction

DCS Viewer Lite is an application used to display medical images stored on CDs, DVDs, USB thumb drives, and other portable media. Digital images and data from modalities supporting the DICOM format can be displayed on computers running Microsoft Windows 2000 and greater. Users can perform adjustments of window width and level, image stacking, measurement of regions of interest, and various image alterations. DCS Viewer is not intended to be used for primary diagnosis, and mammographic images may only be interpreted using an FDA approved monitor that offers at least 5 Mpixel resolution and meets other technical specifications reviewed and accepted by FDA.


Minimum System Requirements

To run DCS Viewer Lite, your computer must meet the following requirements:

· Pentium II processor

· 512 MB RAM

· Minimum display resolution 1024x768

· Windows 2000, XP, Vista, or Windows 7

· Microsoft Internet Explorer 6.0 or higher


Getting Started

This section contains a general overview on how to navigate the DCS Viewer Lite application.

DCS Viewer Lite Layout

When a study has been loaded into DCS Viewer Lite, the viewer will display one or more images in the image pane.

The menu toolbars are just above the image pane, and they allow you to access different tools and options within DCS Viewer Lite.

The series thumbnails are just below the image pane and allow you to switch between different series.


Choosing an Exam: Study Directory

When DCS Viewer Lite is first launched, the Study Directory dialog will appear. The Study Directory allows users to choose which exam to display. To load an exam, make sure it is highlighted and click the Display button.

If at any time you wish to display another exam, click the Study Directory button [image] on the toolbar.

Navigating Through Exam Images

To scroll through images, make sure that none of the tools are selected or highlighted on the toolbar, then left click on an image and drag the mouse up and down to navigate through the images in that series. You can also use the mouse scroll wheel to run through each image.

To view another series, click on the Series Navigate forward/back buttons on the toolbar to scroll through the available series in the study.

The Series Thumbnails at the bottom of the screen can also be clicked to jump to a specific series.


Using the DCS Viewer Lite toolbar

The DCS Viewer Lite toolbar uses a ribbon toolbar layout to organize tools into different categories. The toolbar is broken up into four groups: Main, Layout, Tools, Cine, and Export. Left click on the category tabs at the top to switch between the different groups of tools.

To select a tool, click on its icon; the icon will now be highlighted. To deselect the tool, click on it again. Hold the mouse cursor over an icon to view a description.

Note that all tools are assigned to the left mouse button. The title bar of the DCS Viewer Lite window provides feedback for users to keep track of which tool mode corresponds to the left mouse button.


The File Toolbar

  • Study Directory – Displays a list of patient studies available for viewing.
  • View Reports – Displays exam reports if any are included on the disc.


The View Toolbar

  • Magnify Image – Magnifies a region of the image.
  • Zoom Image – Increases or decreases the image field of view. To zoom in on an image, click the left mouse button over the image and drag it downward. To zoom out, drag upwards.
  • Pan Image – Repositions images in the image window. Left click on the image and drag the mouse to pan.
  • Reset Series – Resets the Zoom and Pan for the current series back to startup defaults.
  • Window Level – Adjusts the brightness/contrast of the image. Left click on the image and drag up/down or left/right.
  • Reset Window Levels – Resets the image to its default window level settings.
  • Slice Scroll – Stacks images in sequence. Click the left mouse button over an image and drag upward to scroll through images.
  • DICOM Information – Pressing the DICOM Information button launches a dialog that displays the DICOM header information for the currently selected image.


The Series Navigate Toolbar

Series Navigate: Loads the previous and next series in an exam.

  • Select/Unselect All Images In Series: Selects and unselects all images in the selected series.
  • Select/Unselect Current Image: Selects and unselects current image in the selected series.


The Layout Toolbar

Series Layout: Adjusts the layout of the series display.

Image Layout: Adjusts the number of images displayed per series.

Label Font: Adjusts the font type, size, etc. of labels on the images.


The Tools Toolbar

  • Line Measurement Tool: Measures linear distances. Left click and drag to measure a line.
  • Ellipse Measurement Tool: Measures an elliptical region of interest. Left click and drag to measure an ellipse.
  • Angle Measurement Tool: Measures an angle between two intersecting lines. Left click and drag to draw a line.
  • Clear All Measurements: Erases all measurements from all images in a selected series.
  • Show/Hide Reference Lines: Shows the reference line, if any, on an image.
  • Density Probe Tool: Measures the radiodensity in Hounsfield units of the current position of the mouse on the selected CT image. Other non-CT monochrome images will display density in pixel values.


The Cine Toolbar

  • Cine Play Reverse: Plays a cine multiframe image in reverse.
  • Cine Play Forward: Plays a cine multiframe image.
  • Stop Cine Play: Stops cine playback.
    Scroll through Frames On Multiframe Image: Allows users to scroll through individual frames of a multiframe image.


Playback Properties Toolbar

Pressing Forward, Forward Repeat, Reverse, Reverse Repeat and Oscillate select the play back mode as described above.

Pressing Cine Rate will launch the Cine Rate Multiplier dialog

The values on the Cine Rate Multiplier slider will cause the Cine rate specified in the DICOM header to be multiplied by the displayed value, increasing or decreasing the display rate. The default value is 1, or the header specified rate.


Export Toolbar

  • Dicom Send: Send the currently loaded study to a user specified DICOM destination.
  • Study Export: Export the currently loaded study to a user specified folder.
  • Image Export: DCS Viewer Lite can export DICOM images to non-DICOM image formats. Supported export formats include JPEG, GIF, PNG, and BMP.


Image Viewing Options

This section describes how to configure viewing options.

Arranging study series in panes

When viewing a study, one or more series from that study can be viewed at the same time. Each series will have its own pane in the viewing window.

Note: the active series is outlined with a green dashed line. There will be a corresponding green border around the appropriate series icon in the bubble bar at the bottom of the viewer. Any other displayed series will have a blue border.

To place a series in a particular pane:

  1. Left click on the desired pane to select it. The green dashed line should outline the series to indicate that it is active.

  2. Select the desired series by browsing the Series Toolbar and clicking the thumbnail.

  3. To browse sequentially through the series, users can also navigate via the Series Navigate buttons on the Main Toolbar.

Adjusting series and image layout

Studies that contain more than one series are laid out in a side-by-side (1x2) grid configuration by default. Each pane in the grid by default displays one image, but it can be configured to show more. This can be adjusted to suit your preferences.

To adjust the series layout:

Make sure that the Layout ribbon toolbar is displayed by clicking on the “Layout” tab at the top of the screen.

Click the Series button to launch the Series display configuration.

On the series layout grid on the left, select how many series will be displayed by choosing the number of rows and columns. Clicking OK will apply the new layout settings.

To adjust the image layout:

  1. Make sure that the Layout ribbon toolbar is displayed by clicking on the “Layout” tab at the top of the screen.

  2. Select a series pane by clicking on it. This will highlight the pane where the number of displayed images will be altered.

  3. Click the Image button to launch the Image display configuration.

  4. On the image layout grid on the left, select how many images will be displayed by choosing the number of rows and columns. Clicking OK will apply the new layout settings.

Adjusting window level settings

Window leveling allows you to adjust the brightness and contrast of images.

To adjust the brightness of an image:

  1. Make sure that the Window Level tool is selected by clicking on

  2. Position the cursor over the image to be adjusted, and left-click and drag the cursor up or down over the image.

  3. Release the mouse button to apply the new values to all images within the series. These values are displayed on the lower left corner of each image (e.g. W: 33 L: 777).

To adjust the contrast of an image:

  1. Make sure that the Window Level tool is selected by clicking on

  2. Position the cursor over the image to be adjusted and left-click and drag the cursor left or right over the image.

  3. Release the mouse button to apply the new values to all images within the series. These values are displayed on the lower left corner of each image (e.g. W: 33 L: 777).

Note: The window/level may alsobe adjusted using the right mouse button.

To adjust the sensitivity of the window level tool:

Window and Level sensitivity may be adjusted using the submenu of the Window/Level button.

This controls the mouse sensitivity when dragging the window/level. The value may be set between 1 and 1000. A value of 1indicates that the Window/level values are recalculated for every horizontal or vertical mouse movement. The higher the value the faster the display updates because the calculations are done less often, e.g., every 35 pixels instead of every pixel.

Reset window level

Pressing the Reset Window Level button resets the current image and all of the images in respective series stack to the default window level settings read from the image header or to the calculated initial value if this information is not available in the image header. In the case of VOILUT the settings are reset to the initial values of the VOILUT in the image header.

Viewing study information labels

By default, pertinent study and patient information is overlaid as text on the images.

To toggle the display of the study information:

  1. Click the DatCard Logo and select the options button:

  • Show/Hide labels allows the user to control whether annotation labels are displayed, or not displayed on the image pane. This option affects all displayed labels including rulers, anatomical labels and any private markup.
  • The Show/Hide Overlays allows the user to control whether overlay images defined in the DICOM header are displayed or not. This feature provides support for legacy DICOM files that use overlays.
  • The Show/Hide Thumbnails option allows the user to control whether the Series bubble bar at the bottom of the viewer is displayed. If the Series bubble bar is not displayed then series navigation must be done with the Series Navigate Ribbon control described below.
  • The Show/Hide Private Labels option controls display of Mitra markup private tags. Mitra markup tags are used by some vendors to draw arrows and text labels on the displayed image without burning the annotation in to the original image. If there is no markup data in the DICOM header this button will have no effect.

By default, pertinent study and patient information is overlaid as text on the images.


Displaying DICOM header tags

To display a dump of an image’s DICOM header tags:

Pressing the DICOM Information button launches a dialog that displays the DICOM header information for the currently selected image.


Using the Magnify feature

Magnify a sub-region of the image.

To magnify a sub-region of an image the user can drag the left mouse button over the image and a moving rectangle will display in the current zoom factor.

Setting the Magnifier zoom factor

Selecting the Magnifier zoom factor will display the following dialog:

The Zoom factor value is in the range of 2 – 40.

Magnification Mode

The algorithm used to magnify the image can be set using the Magnification submenu.

· Pixel Value - If zooming up is necessary, then pixels are simply replicated, giving a possibly "blocky" but honest representation of the pixel data.

· B-Spline - This smoothing procedure interpolates using a Cubic B-Spline, which has the advantage of guaranteeing continuity in both the first and second differentials of the image, in both directions.

· Cubic Spline - This is similar to the B-Spline described above, but uses an additional parameter (Cubic Spline Alpha) to control the degree of smoothing or edge enhancement. The Cubic Spline Alpha value is currently clamped at –0.75 in the DCS Dicom Viewer.

For the Minification Mode see Zoom Image.


Using the zoom feature

By default, DCS Viewer Lite will stretch or shrink an image to fit inside an image pane by adjusting the magnification factor.

The magnification factor indicates that the size of the image has been reduced to fit the window when zooming out or expanded when zooming in.

To zoom in on an image:

  1. Select the desired series.
  2. Select the zoom tool by clicking the [image] icon on the Main ribbon toolbar.

  3. Position the cursor over the image, then left click and drag. Dragging up will zoom out, and dragging down will zoom in.

Minification Mode

The algorithm used to minify the image can be set using the Minification Mode submenu.

· Pixel Value - pixel rows and columns are omitted as necessary

· Moving Average - This mode is most applicable when zoom is less than 1, and calculates pixels values as a weighted average of the surrounding values.


Panning an Image

The Pan Image function allows the user to reposition an image in the image window. Left click on the image and drag the mouse to pan the image in the direction of the mouse movement. If there is more than one image in a series stack then the pan operation is applied to the whole series stack.


Using the Reset Series option:

  1. Select an image by left clicking it.
  2. Click the Reset Series tool.

The Zoom and Pan settings of currently selected Series will be reset to startup defaults, i.e., stretched to fit in the display pane.


Measuring Images

DCS Viewer Lite allows you to make measurements on displayed images. On certain modality types, image measurements may be displayed in pixels until calibration is performed. In all other modalities, they are displayed in centimeters.

Making linear measurements

To take a linear measurement on an image:

On the Tools toolbar, click on

1. Position the cursor at the starting location, and left-click and drag the cursor to the ending location.

2. Release the mouse button. A line with a distance measurement will appear.

Making elliptical measurements

To take an elliptical measurement on an image:

  1. On the Tools toolbar, click on

  2. Position the cursor at the starting location, and left-click and drag the cursor to the ending location.

  3. Release the mouse button. An ellipse with Area, Mean, and Standard Deviation measurements appears.

Making angle measurements

To take an angle measurement on an image:

  1. On the Tools toolbar, click on

  2. Draw a line by positioning the cursor at the starting location, left-clicking and dragging the cursor to the ending location. Draw another line that intersects this line.

  3. The angles between the intersecting lines will appear.

Density Probe measurements

To take a density measurement on an image:

  1. On the Tools toolbar, click on

  2. Left-clicking and dragging the cursor displays the Radiodensity at the Region of Interest in Hounsfield Units for CT images and in Pixel Units for other Monochrome image types.

Clearing measurements

To clear all measurements on the images, click on [image] in the Tools toolbar.


Flipping and Rotating Images

Flip horizontal

Flip the current image and all images in the current series stack horizontally.

Flip vertical

Flip the current image and all images in the current series stack vertically.

Rotate left

Rotate the current image and all of the images in the current image stack left 90 degrees.

Rotate right

Rotate the current image and all of the images in the current image stack right 90 degrees.


Exporting Images

Images can be exported in non-DICOM formats. They can also be printed to paper and other media.

Selecting images and series

Before images can be exported or printed, users must mark which images to include in the operation. Images marked for selection have a red rectangle in the bottom right-hand corner of the image pane, as seen on the left below. Unmarked images will have an unfilled rectangle.

Image marked for selection on the left. The image is unmarked on the right.

To select an individual image:

  1. Click on the rectangle marker on the bottom right-hand corner of the image pane. It will turn red when the image is marked.

  2. Another way to mark an image is by left-clicking on it to make its series active (green dashed outline), then clicking [image] on the Main toolbar.

To select all images in a series:

  1. Make sure the desired series is active (has a dashed green outline) by left clicking in its image pane.

  2. Click on [image] on the Main toolbar. This will select all of the images in the series.


Exporting images as graphic files

DCS Viewer Lite can export DICOM images to non-DICOM image formats. Supported export formats include JPEG, GIF, PNG, and BMP.

To export images:

  1. Select the desired images to export by making sure they are marked with the red rectangle in the bottom right-hand corner of the image pane. For more information on how to select images, refer to the section “Selecting images and series” on page 27.

  2. Click on [image] on the Main toolbar. A dialog box will open where users can choose where to save the exported images.


Printing Images

DCS Viewer Lite supports printing to non-DICOM printers.

To print images:

  1. Select the desired images to print by making sure they are marked with the red rectangle in the bottom right-hand corner of the image pane. For more information on how to select images, refer to the section “Selecting images and series” on page 27.

  2. Click on the Print logo [image] to the right of the DatCard logo to print the selected images to the default printer
  3. If you wish to print to a different printer, click the arrow next to the Print logo and select “Printer Setup”. A dialog will appear, allowing users to choose a printer and adjust printer options.
  4. If you wish to change the default behavior of printing with all of the annotation labels to no labels toggle this behavior using the following sub menu of the print button:

Click Print without labels. The option will change to the following :


Exporting studies

The currently loaded study can be exported using either DICOM Send or written to a user designated folder using DICOM File Export.


DICOM Send

Once a study has been loaded into the Dicom Viewer, clicking the DICOM Send button [image] on the Export Utilities toolbar will launch the DICOM Send utility.

The first time the DICOM Send utility is used the user will have to enter connection configuration information. These configuration values will be written to the user registry if possible and can be used on subsequent Dicom Send operations. If the user does not have permission to write to the user registry then the values will have to be manually entered each time the application is executed.

Configuration Information

Destination Address

The Destination Address is the network IP address of the destination DICOM Server or Device where the images are being sent. To use the local host address please check the "Use Local Host" check box to the right.

Destination AE Title

The Destination AE Title is the DICOM Appliction Entity (AE) Title of the DICOM server or device that you are sending the study images to. DICOM defines an application entity as a software process that implements DICOM.

Destination Port

The Destination Port is the network port address in decimal of the DICOM Server or device that you are sending study images to.

Calling AE Title

The DICOM AE Title of this application. This can be any legal DICOM AE Title name. The Destination DICOM Server/Device needs to be configured to accept images from this AE Title or willing to accept images from any AE Title.

Send Uncompressed

If this box is checked then the images will be sent in standard DICOM uncompressed format (Little Endian Implicit). Otherwise the DICOM Send application will negotiate which Transfer Syntax to use with the Destination server or device. Use this if the destination has problems receiving files in compressed formats.

Note: The destination device or server must be configured and running the DICOM Storage Service. Furthermore, the destination must be configured to accept images from this Application Entity or alternatively must be configured to accept images from any DICOM Application Entity.

Once all the configuration information has been manually entered or read from the user registry the user can press the Configure button [image] which will check to see if all the configuration fields have data and then enable the Send button [image]. Pressing the Send button will initiate the DICOM send operation. Any errors that occur will be displayed in the Send Status panel at the bottom of the application.

Successful operation is displayed using the Send Status progress bar immediately above the Send Status panel. Progress is reported using both the percent complete and a colored bar that progresses from left to right.

The Send operation is complete when the percent reaches 100%. While the operation is progressing the Send button becomes the Cancel button that allows the user to cancel the transfer and anytime during the Send process. Generally, once started, a Send operation should be allowed to complete. The Cancel button should NOT be used unless absolutely necessary because any images that have already been sent cannot be recalled and the destination will have an incomplete DICOM study.

The Exit button [image] will cause the application to exit. If a Send is currently in progress it will cancel the operation before exiting.


Study Export

Once a study has been loaded into the Dicom Viewer, clicking the Study Export button [image] on the Export Utilities toolbar will launch the DICOM File Export utility.

This utility allows the user to export the currently loaded study to a user specified folder. The folder must be on a writable drive and the user must have write permission to complete this operation. The resulting files will not be encrypted even if the original files were encrypted.

The export operation will create and include a DICOMDIR file which is the standard directory structured specified for DICOM media exchange documented in DICOM Part 10.

Export Path

The Export Path is the full path to a user specified base folder for study export. This path will be used as the root folder for the export. A sub folder will be automatically created using the Patient last name, Study date and Study time. For example if the Patient last name is WAGNER and the study date is January 16, 2001 and the study time is 9:40 AM then the sub folder will be named “WAGNER_20010116_094000”. The DICOMDIR will be copied to this sub folder. A folder named DICOM will then be created below the sub folder. The images will be copied to the DICOM folder. The Export Path can be used for multiple studies because a study specific directory tree is created for each exported study.

The following is an example export tree:

D:\MyDicomExport

WAGNER_20010116_094000

DICOMDIR

DICOM

1

2

3

Browse Folders

Clicking the Browse Folders button [image] will bring up the Browse Folders dialog that can be used to select and/or create the Export Path from available destinations. The selected folder must be on a writeable drive.

If a non-writeable folder is selected an error message will be displayed:

If the user clicks Ok they will be taken back to the Browse Folders dialog. If the user selects Cancel they will be taken back to the Dicom File Export dialog.

Use “DCM” file suffix

Checking this box will cause ".DCM" to be appended to each of the exported image names. The image names use numbers starting from 1. For example if the box is checked then the first image will be called "1.DCM", the second "2.DCM", etc. If the box is unchecked the first image will be called "1", the second "2", etc. The use of ".DCM" is not standard DICOM. Check this box if the application you will be using to read the exported DICOM images require the ".DCM" extension, otherwise leave it unchecked.

Save Uncompressed

If this box is checked then the images will be written out in standard DICOM uncompressed format (Little Endian Implicit). Otherwise the DICOM Export application will use the Transfer Syntax that the image was loaded with.

Export

Pressing the Export button [image] causes the current study and DICOMDIR to be written to disk.

Errors and status are written to the Export Status panel at the bottom of the dialog. Successful operation is displayed using the Export Status progress bar immediately above the Send Status panel. Progress is reported using both the percent complete and a colored bar that progresses from left to right.

Pressing the Exit button [image] will exit the Dicom File Export dialog and return to the main Viewer window.


DCS Viewer Lite

User Manual

7 Goodyear

Irvine, CA 92618

Service Support (888) 263-5882

Copyright © 2008-2011 DatCard Inc.

DatCard® is a registered trademark of DatCard Systems Inc

PacsCube® is a registered trademark of DatCard System Inc.

Microsoft® is a registered trademark of Microsoft Corporation

Copyrighted Information Notice

Information presented in this manual is strictly for the use of customers of DatCard. This information and the material contained in this manual are the property of DatCard. This information shall not be reproduced in whole or part, shall not be disclosed to any third party, and shall not be the basis of any software or application design in whole or in part or without the prior written consent of an officer of DatCard. Information contained in this manual is subject to change at any time, without notice. Customer agrees that DatCard, its employees, officers, directors, agents, representatives, affiliates, and subsidiaries shall not be liable to customer or any third party for any incidental, indirect, special or consequential damages whatsoever (including but not limited to lost profits) arising out or relating to this publication or the information contained in it. The terms and conditions governing the sale of DatCard products and services and any licensing of DatCard software consist solely of those set forth in the written contract between DatCard and its customer, and nothing contained in this manual shall constitute an express or implied modification, alteration, change, addition, or amendment of those terms and conditions. PacsCube products may be covered by one or more of the following patents: U.S. Patent 7,302,164; 7,120,644; 7,729,597; 7,734,157; 7,801,422; 7,783,174; 7,783,163. Other US and foreign patents are pending.

Table of Contents

Introduction. 5

Minimum System Requirements. 5

Getting Started . 6

Choosing an Exam: Study Directory. 7

Navigating Through Exam Images. 8

Using the DCS Viewer Lite toolbar 9

The File Toolbar 9

The View Toolbar 9

The Series Navigate Toolbar 10

The Layout Toolbar 10

The Tools Toolbar 11

The Cine Toolbar 11

Playback Properties Toolbar 12

Export Toolbar 13

Image Viewing Options. 14

Arranging study series in panes. 14

Adjusting series and image layout 15

Adjusting window level settings. 16

Reset window level 17

Viewing study information labels. 17

Displaying DICOM header tags. 18

Using the Magnify feature. 19

Setting the Magnifier zoom factor 19

Magnification Mode. 20

Using the zoom feature. 21

Minification Mode. 21

Panning an Image . 22

Using the Reset Series option: 22

Measuring Images . 22

Making linear measurements. 22

Making elliptical measurements. 23

Making angle measurements. 24

Density Probe measurements. 25

Clearing measurements. 25

Flipping and Rotating Images. 26

Flip horizontal 26

Flip vertical 26

Rotate left 26

Rotate right 26

Exporting Images . 27

Selecting images and series. 27

Exporting images as graphic files. 28

Printing Images . 28

Exporting studies. 29

DICOM Send. 29

Configuration Information. 30

Study Export 32